import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JRadioButton;

import com.mindfusion.spreadsheet.standardforms.DialogResult;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.ButtonGroup;


public class GroupForm extends JDialog
{
	private static final long serialVersionUID = 1L;
	private JLabel lblGroup;
	private JRadioButton rbRows;
	private JRadioButton rbColumns;
	private JButton btnOk;
	private JButton btnCancel;

	private DialogResult result;
	private final ButtonGroup btngGroup = new ButtonGroup();

	public DialogResult getDialogResult()
	{
		return result;
	}

	public GroupForm(boolean isUngroup)
	{
		this();

		if (isUngroup)
		{
			setTitle("Ungroup");
			lblGroup.setText("Ungroup:");
		}
	}

	public boolean isColumn()
	{
		return rbColumns.isSelected();
	}

	public GroupForm()
	{
		setTitle("Group");
		getContentPane().setLayout(null);
		result = DialogResult.Cancel;
		
		lblGroup = new JLabel("Group:");
		lblGroup.setBounds(10, 11, 46, 14);
		getContentPane().add(lblGroup);
		
		rbRows = new JRadioButton("Rows");
		btngGroup.add(rbRows);
		rbRows.setBounds(10, 58, 109, 23);
		getContentPane().add(rbRows);
		
		rbColumns = new JRadioButton("Columns");
		btngGroup.add(rbColumns);
		rbColumns.setBounds(10, 32, 109, 23);
		getContentPane().add(rbColumns);
		
		btnOk = new JButton("OK");
		btnOk.setBounds(10, 103, 89, 23);
		btnOk.addActionListener(new ActionListener()
		{
			@Override
			public void actionPerformed(ActionEvent e)
			{
				result = DialogResult.OK;
				GroupForm.this.dispose();
			}		
		});
		getContentPane().add(btnOk);
		
		btnCancel = new JButton("Cancel");
		btnCancel.setBounds(109, 103, 89, 23);
		btnCancel.addActionListener(new ActionListener()
		{
			@Override
			public void actionPerformed(ActionEvent e)
			{
				result = DialogResult.Cancel;
				GroupForm.this.dispose();
			}
		});
		getContentPane().add(btnCancel);
	}
}